Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions
Class StaticWiretap

    java.lang.Object
      org.jboss.soa.esb.actions.AbstractActionLifecycle
          org.jboss.soa.esb.actions.AbstractActionPipelineProcessor
              org.jboss.soa.esb.actions.StaticWiretap

All Implemented Interfaces:
  ActionLifecycle, ActionPipelineProcessor

Direct Known Subclasses:
  StaticRouter

    public class StaticWiretap

extends AbstractActionPipelineProcessor

Field Summary
`protected ConfigTree` | `_config`
`protected static org.apache.log4j.Logger` | `_logger`
`protected MessageMulticaster` | `messageMulticaster`
`static java.lang.String` | `ROUTE_TO_TAG`

Fields inherited from interface org.jboss.soa.esb.actions.ActionPipelineProcessor
`PROCESS_EXCEPTION_METHOD, PROCESS_METHOD, PROCESS_SUCCESS_METHOD`

Constructor Summary
`StaticWiretap(ConfigTree config)`

Method Summary
`void` | `initialise()` Initialization by reading the configuration.
`Message` | `process(Message message)` Routes the message to one or more destinations, returning original message.

Methods inherited from class org.jboss.soa.esb.actions.AbstractActionPipelineProcessor
`processException, processSuccess`

Methods inherited from class org.jboss.soa.esb.actions.AbstractActionLifecycle
`destroy`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.soa.esb.actions.ActionLifecycle
`destroy`

Field Detail

### ROUTE_TO_TAG

    public static final java.lang.String ROUTE_TO_TAG

See Also:
  Constant Field Values

### _config

    protected ConfigTree _config

### messageMulticaster

    protected MessageMulticaster messageMulticaster

### _logger

    protected static org.apache.log4j.Logger _logger

Constructor Detail

### StaticWiretap

    public StaticWiretap(ConfigTree config)
                  throws ConfigurationException,
                         RegistryException

Throws:
  `ConfigurationException`
  `RegistryException`

Method Detail

### process

    public Message process(Message message)
                    throws ActionProcessingException

  Routes the message to one or more destinations, returning original message.

  Parameters:
    `message` - The current message being processed.
  Returns:
    The message to be passed to the next stage of the pipeline.
  Throws:
    `ActionProcessingException` - for errors during processing.

### initialise

    public void initialise()
                    throws ActionLifecycleException

  Initialization by reading the configuration.

  Specified by:
    `initialise` in interface `ActionLifecycle`
  Overrides:
    `initialise` in class `AbstractActionLifecycle`
  Throws:
    `ActionLifecycleException` - for errors during initialisation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD